Boomi Agent Garden Design APIs - Packages
Download OpenAPI Specification: Download
For more information about Postman collections, forking, and making your first API call, refer to the Working with Boomi APIs on Postman page.
List All Packages
Retrieve list of packages for a given account ID and user ID across all agents.
Required privileges: AGENT_GARDEN_ACCESS, AGENT_VIEW.
Authorizations:
query Parameters
| page | integer (Page) >= 1 Default: 1 Page number to retrieve |
| page_size | integer (Page Size) [ 1 .. 100 ] Default: 100 Number of records per page |
| search_term | string (Search Term) Filter by a substring match in name or objective |
| has_active_deployments | boolean (Has Active Deployments) Default: false Filter to return only packages with active deployments |
| sort_by | string (Sort By) Default: "created_on" Field to sort by |
| sort_order | string (Sort Order) ^(asc|desc)$ Default: "desc" Sort order |
Responses
Response Schema: application/json
| success | boolean (Success) Default: true |
Message (string) or Message (null) (Message) | |
PaginationResponse[PackageSummaryResponse] (object) or null |
Response samples
- 200
- 401
- 403
- 422
{- "success": true,
- "message": "Packages retrieved successfully",
- "data": {
- "total_items": 1,
- "total_pages": 1,
- "current_page": 1,
- "page_size": 100,
- "items": [
- {
- "package_id": "6b392a3c-9c6e-4f09-8b55-177d7667d7ec",
- "name": "Enterprise O2C Agent",
- "version": "1.0",
- "agent_id": "ddccf1ad-c01f-4d13-b8f2-98730cc204a2",
- "agent_name": "Enterprise O2C Agent",
- "agent_mode": "conversational",
- "profile_picture": null,
- "deployment_count": 1,
- "created_on": "2026-05-22T11:48:15.945378Z"
}
]
}
}List Deployments By Package Id
Retrieve list of deployments for a given package ID, account ID and user ID.
Required privileges: AGENT_GARDEN_ACCESS, AGENT_VIEW.
Authorizations:
path Parameters
| deployed_package_id required | string <uuid> (Deployed Package Id) The unique identifier of the deployed package to list deployments for |
query Parameters
| page | integer (Page) >= 1 Default: 1 Page number to retrieve |
| page_size | integer (Page Size) [ 1 .. 100 ] Default: 100 Number of records per page |
| sort_by | string (Sort By) Default: "deployed_on" Field to sort by |
| sort_order | string (Sort Order) ^(asc|desc)$ Default: "desc" Sort order (default: desc) |
| search_term | string (Search Term) Filter by a substring match in name or agent/deployment ID |
| env_name_search_term | string (Env Name Search Term) Filter by substring match in environment_name |
| agent_id | string <uuid> (Agent Id) Filter by agent ID |
| package_id | string <uuid> (Package Id) Filter by package ID |
| runtime_id | string <uuid> (Runtime Id) Filter by runtime ID |
| environment_id | Array of strings <uuid> (Environment Id) [ items <uuid > ] Filter by environment ID |
| deployment_status | Array of strings (Deployment Status) Items Enum: "ACTIVE" "DISABLED" Filter by deployment status |
| agent_mode | string (AgentMode) Enum: "conversational" "structured" Filter by agent mode |
Responses
Response Schema: application/json
| success | boolean (Success) Default: true |
Message (string) or Message (null) (Message) | |
PaginationResponse[DeploymentResponse] (object) or null |
Response samples
- 200
- 401
- 403
- 422
{- "success": true,
- "message": "Deployments for Package with ID 6b392a3c-9c6e-4f09-8b55-177d7667d7ec retrieved successfully",
- "data": {
- "total_items": 1,
- "total_pages": 1,
- "current_page": 1,
- "page_size": 100,
- "items": [
- {
- "package_id": "6b392a3c-9c6e-4f09-8b55-177d7667d7ec",
- "environment_id": "e5f6a7b8-c9d0-4e1f-2a3b-4c5d6e7f8a9b",
- "deployment_id": "e54b1f0b-4528-4782-ab7c-96c30c56e793",
- "agent_id": "ddccf1ad-c01f-4d13-b8f2-98730cc204a2",
- "deployment_status": "ACTIVE",
- "deployed_on": "2026-05-22T11:51:15.817200Z",
- "deployed_by": "<user-id>",
- "last_updated_on": "2026-05-22T11:51:15.817200Z",
- "agent_name": "Enterprise O2C Agent",
- "agent_mode": "conversational",
- "origin": null,
- "is_favorite": false,
- "profile_picture": null,
- "package_version": "1.0",
- "package_name": "Enterprise O2C Agent",
- "environment_name": "Agent Garden Production",
- "runtimes": [
- {
- "runtime_id": "a1b2c3d4-e5f6-4a7b-8c9d-0e1f2a3b4c5d",
- "runtime_name": "USA East Agent Garden Cloud 01",
- "runtime_region": "US",
}
]
}
]
}
}